Name:         distcc
Url:          http://distcc.samba.org/
License:      GPL
Group:        Development/Tools/Building
Summary:      distcc
Requires:     c++_compiler
PreReq:       %fillup_prereq
Version:      2.18.3
Release:      6.4
Source0:      %{name}-%{version}.tar.bz2
Source2:      init.distcc
Source3:      sysconfig.distccd
Source4:      profile
Source5:      distccd.hosts
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Packager:	Carsten Schoene <cs@linux-administrator.com>

BuildRequires:	pkgconfig gtk2 gtk2-devel libgnome libgnome-devel libgnomeui libgnomeui-devel libglade2 libglade2-devel pango pango-devel popt popt-devel
%if 0%{?suse_version} == 1010
BuildRequires: mDNSResponder-lib
%endif

%description
distcc is a program to distribute builds of C, C++, Objective C or Objective C++ code across several machines on a network. distcc should always generate the same results as a local build, is simple to install and use, and is usually much faster than a local compile.

%package gnome
Summary:	distcc-gnome
Group:		Development/Tools/Building
Requires:	distcc

%description gnome
GNOME Frontend 

%prep
%setup

%build

%configure --with-gnome --with-gtk --with-docdir=%{_prefix}/share/doc/packages/%{name}
%__make

%makeinstall
#make DESTDIR=$RPM_BUILD_ROOT docdir=%_defaultdocdir install
mkdir -p $RPM_BUILD_ROOT/%{_bindir} \
         $RPM_BUILD_ROOT/%{_sbindir} \
         $RPM_BUILD_ROOT/%{_mandir}/man1/ \
         $RPM_BUILD_ROOT/%{_infodir} \
	 $RPM_BUILD_ROOT/usr/share/distcc/ \
	 $RPM_BUILD_ROOT/etc/init.d \
         $RPM_BUILD_ROOT/var/adm/fillup-templates \
	 $RPM_BUILD_ROOT/usr/share/doc/packages
#install -m 0755 distcc "$RPM_BUILD_ROOT"/%{_bindir}
mv $RPM_BUILD_ROOT/%{_bindir}/distccd "$RPM_BUILD_ROOT"/%{_sbindir}/
#mv $RPM_BUILD_ROOT/usr/share/doc/distcc $RPM_BUILD_ROOT/usr/share/doc/packages/
#install -m 0644 man/distcc*.1 "$RPM_BUILD_ROOT"/%{_mandir}/man1/
#install -m 0644 linuxdoc/distcc.info.gz $RPM_BUILD_ROOT/%{_infodir}
install -m 644 %{S:3} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.distccd
# create symlink, so libtool can handle different compilers for C and C++
ln -sf distcc "$RPM_BUILD_ROOT"/%{_bindir}/distcc++
#
# Add bash profile file and it's config file.
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/distcc/.profile
ln -sf .profile "$RPM_BUILD_ROOT"/usr/share/distcc/profile
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT/etc/
cat >$RPM_BUILD_ROOT/%{_bindir}/cdistcc <<EOF
#!/bin/sh
ccache distcc \$@
EOF
chmod 0755 $RPM_BUILD_ROOT/%{_bindir}/cdistcc
#
# Install distccd init script
install -m 755 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/distccd
ln -sf ../../etc/init.d/distccd $RPM_BUILD_ROOT/usr/sbin/rcdistccd
#

%post
%{fillup_and_insserv -n distccd distccd}
#install_info --entry="* distcc: (distcc). distribute compilation of C or C++ code" --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
#postun
#install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%{insserv_cleanup}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/var/adm/fillup-templates/sysconfig.distccd
%{_sbindir}/distccd
%{_sbindir}/rcdistccd
%{_bindir}/cdistcc
%{_bindir}/distccmon-text
%{_bindir}/distcc
%{_bindir}/distcc++
%{_mandir}/man1/*
#%{_infodir}/*.gz
/usr/share/distcc
/usr/share/doc/packages/distcc
/etc/init.d/distccd
%config(noreplace) /etc/distccd.hosts

%files gnome
/usr/bin/distccmon-gnome

%changelog
* Sat Dec 11 2004 Carsten Schoene <cs@linux-administrator.com>
- version bump to 2.18.3
* Fri Nov 12 2004 Carsten Schoene <cs@linux-administrator.com>
- version bump to 2.18.2
* Wed Nov 03 2004 Carsten Schoene <cs@linux-administrator.com>
- version bump to 2.18.1
* Mon Nov 01 2004 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE 9.2
- moved docs to /usr/share/doc/packages/distcc
- added gcc-3.3.4 sample line to distccd.hosts
* Tue Oct 12 2004 Carsten Schoene <cs@linux-administrator.com>
- version bump to 2.18
* Thu Sep 23 2004 Carsten Schoene <cs@linux-administrator.com>
- version bump to 2.17
* Thu Jul 08 2004 Carsten Schoene <cs@linux-administrator.com>
- update to 2.16
* Tue Mar 02 2004 Carsten Schoene <cs@linux-administrator.com>
- update to 2.13
* Fri Feb 06 2004 Carsten Schoene <cs@linux-administrator.com>
- first SuSE 9.0 package (distcc 2.12.1)  
